Bug 81078 - atd should not be run by default because it does nothing by default
atd should not be run by default because it does nothing by default
Product: Red Hat Linux
Classification: Retired
Component: at (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-01-03 19:24 EST by Richard Lloyd
Modified: 2007-04-18 12:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-01 23:45:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Lloyd 2003-01-03 19:24:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
All versions of Red Hat I've seen, including the latest
phoebe beta release, run atd by default and yet this
daemon does absolutely nothing by default ! Hence, I am
proposing that atd isn't run by default in future
releases of Red Hat.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install pretty well any version of Red Hat (e.g. the phoebe beta)
2. After logging in, do "ps -ef" to see if atd is running
3. Check the default atd config (/etc/at.allow, /etc/at.deny,
4. Read "man atd".

Actual Results:  atd is always run every time any default-installed version of
Red Hat is booted and it remains running all the time.

The default atd config has no "at" jobs at all. There is no
shipped /etc/at.allow, /etc/at.deny is "empty" (one blank line) and
/var/spool/at is empty too.

The man page for atd states, as a "bug":

"The functionality of atd should be merged into cron(8)."

Expected Results:  Either atd should do "something" timed by default (note that
cron/anacron *does* have several shipped cron jobs by default, but
"at" doesn't) or it should not be run by default. It's as simple as

Additional info:

I have never bothered using the "at" suite either on Linux or
on commercial UNIXes, because "cron" basically does all you need
for timed jobs. Even the atd author is implying in the atd man page
that the command is redundant and any non-cron functionality should
be added to cron rather than atd being run.

Hence, this is a request for enhancement that atd is no longer run
at startup - it certainly should be shipped/installed with future
Red Hat distros in case someone does indeed want to run it, but it's
plainly crazy for it to be run by default.
Comment 1 Jens Petersen 2003-02-19 08:14:30 EST
Maybe you're right, While I don't use "at" myself, I could
imagine some users may well use it for running one time jobs at a certain time.
Atd is only using about 500kB of memory on my machine - it doesn't seem
to use too many resources.

How serious do you think this problem is?
Comment 2 Miloslav Trmac 2003-02-19 09:45:30 EST
I'm not the original poster, but I'd be in favor of the change
(assuming it is very explicitly mentioned in release notes and
other documentation).
at seems to be a standard UNIX tool (mentioned in the canocnical
books), but I've never seen anyone using it either.

As for "only 500 KB": I've got too many programs requiring
"only 500 KB" running unneeded most of the time. Count also
the half a second at system boot ;-)
Comment 3 Richard Lloyd 2003-02-19 10:27:18 EST
It should be noted here that the proposal is simply to turn off atd at the
various runlevels, which I can do (and do indeed do !) with this command after

chkconfig --level 0123456 atd off

It's not proposed that atd isn't installed by default - it's only that atd
isn't actually run by default when the machine is booted. Unlike processes
like gpm - which *do* something [mouse can move cursor on the console] by
default - atd is a process that really does nothing by default. Why run
something permanently in the background on boot that does absolutely nothing by
default unless the user bothers to configure it, especially when an adequate
alternative, cron, is available anyway ?
Comment 4 Jens Petersen 2003-02-24 00:01:58 EST
One thing that atd provides that crond doesn't, is the "batch" service,
which runs something when the system-load goes below a
certain level - I don't think crond provides such functionality.

Anyway under your suggestion is still under consideration.
Comment 5 Jens Petersen 2003-06-01 23:45:11 EDT
I still think that "at" and "batch" are useful enough and
expected to work out of the box on un!xes that they warrant
having atd running by default. So I'm going to close this
for now.

Note You need to log in before you can comment on or make changes to this bug.